DEVCLASS_GET_DEVICE(9)

NAME
devclass_get_device - translate unit number to device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
device_t
devclass_get_device(devclass_t dc, int unit);

DESCRIPTION
This function retrieves the device instance with the given unit number and returns it.

RETURN VALUES
If the device exists, it is returned, otherwise NULL is returned.

SEE ALSO
devclass(9), device(9)

AUTHORS
This manual page was written by Doug Rabson.